summaryrefslogtreecommitdiffstats
path: root/source/a/tar/tar.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2016-06-30 20:26:57 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:31:18 +0200
commitd31c50870d0bee042ce660e445c9294a59a3a65b (patch)
tree6bfc0de3c95267b401b620c2c67859557dc60f97 /source/a/tar/tar.SlackBuild
parent76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (diff)
downloadcurrent-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.gz
current-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.xz
Slackware 14.2slackware-14.2
Thu Jun 30 20:26:57 UTC 2016 Slackware 14.2 x86_64 stable is released! The long development cycle (the Linux community has lately been living in "interesting times", as they say) is finally behind us, and we're proud to announce the release of Slackware 14.2. The new release brings many updates and modern tools, has switched from udev to eudev (no systemd), and adds well over a hundred new packages to the system. Thanks to the team, the upstream developers, the dedicated Slackware community, and everyone else who pitched in to help make this release a reality. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Have fun! :-)
Diffstat (limited to 'source/a/tar/tar.SlackBuild')
-rwxr-xr-xsource/a/tar/tar.SlackBuild59
1 files changed, 31 insertions, 28 deletions
diff --git a/source/a/tar/tar.SlackBuild b/source/a/tar/tar.SlackBuild
index ea608f0b3..e3a1f7d07 100755
--- a/source/a/tar/tar.SlackBuild
+++ b/source/a/tar/tar.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2005-2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005-2015 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
# Slackware build script for tar
-VERSION=1.26
+VERSION=1.29
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:--j7}
@@ -30,7 +30,7 @@ NUMJOBS=${NUMJOBS:--j7}
# Automatically determine architecture for build & packaging:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
@@ -43,8 +43,8 @@ PKG=$TMP/package-tar
rm -rf $PKG
mkdir -p $TMP $PKG
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
@@ -62,19 +62,25 @@ fi
# Slackware package utils. And, we'll even let people remove it and
# the pkgutils will still try to work (but eventually they'll pay the
# price :)
+#
+# NOTE: The latest versions of tar can supposedly work for the pkgtools,
+# but some changes to add new options to the scripts might be required.
+#
+# Until tar-1.13 won't compile any more, it might be safer to keep using
+# it, though.
cd $TMP
rm -rf tar-1.13
tar xvf $CWD/tar-1.13.tar.gz || exit 1
cd tar-1.13 || exit 1
zcat $CWD/tar-1.13.bzip2.diff.gz | patch -p1 --verbose || exit 1
# The original config.{guess,sub} do not work on x86_64
-cp -p /usr/share/libtool/config/config.{guess,sub} .
+cp -p --verbose /usr/share/libtool/build-aux/config.{guess,sub} .
chown -R root:root .
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--disable-nls \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
mkdir -p $PKG/bin
cat src/tar > $PKG/bin/tar-1.13
@@ -92,23 +98,18 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Don't spew "Record size = foo blocks" messages:
-zcat $CWD/tar.norecordsizespam.diff.gz | patch -p1 --verbose || exit 1
-
# The "A lone zero block at %s" messages also cause problems:
zcat $CWD/tar.nolonezero.diff.gz | patch -p1 --verbose || exit 1
-# Add support for *.txz files (our packages)
-zcat $CWD/tar-1.2x.support_txz.diff.gz | patch -p1 --verbose || exit 1
-
FORCE_UNSAFE_CONFIGURE=1 \
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--infodir=/usr/info \
+ --mandir=/usr/man \
--docdir=/usr/doc/tar-$VERSION \
--enable-backup-scripts \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
@@ -132,27 +133,29 @@ mkdir -p $PKG/{etc,sbin}
ln -sf /usr/libexec/rmt .
)
-mkdir -p $PKG/usr/man/man{1,8}
-cat $CWD/tar.1.gz > $PKG/usr/man/man1/tar.1.gz
-cat $CWD/rmt.8.gz > $PKG/usr/man/man8/rmt.8.gz
-
-rm -f $PKG/usr/info/dir
-gzip -9 $PKG/usr/info/*
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
+# Compress info files, if any:
+if [ -d $PKG/usr/info ]; then
+ ( cd $PKG/usr/info
+ rm -f dir
+ gzip -9 *
+ )
+fi
mkdir -p $PKG/usr/doc/tar-$VERSION
cp -a \
- ABOUT-NLS AUTHORS COPYING NEWS PORTS README THANKS TODO \
+ AUTHORS COPYING* NEWS PORTS README* THANKS TODO \
$PKG/usr/doc/tar-$VERSION
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $TMP/tar-$VERSION-$ARCH-$BUILD.tgz
-
-# Clean up the extra stuff:
-if [ "$1" = "--cleanup" ]; then
- rm -rf $TMP/tar-$VERSION
- rm -rf $PKG
-fi
+/sbin/makepkg -l y -c n $TMP/tar-$VERSION-$ARCH-$BUILD.txz